#include "FragTrap.hpp"

FragTrap::FragTrap( std::string name ) : ClapTrap(name) {

	_class = "FragTrap";
	_hit = 100;
	_energy = 100;
	_attack = 30;

	std::cout << _class << " " << FragTrap::_name << " created with number " << _number << "\n";

	return;
}

/*
 * destructor
 */

FragTrap::~FragTrap( void ) {
	std::cout << _class << " " << FragTrap::_name << " destructed\n";
	return;
}

/*
 * special capacity
 */

void	FragTrap::highFivesGuys() {
	std::cout << _class << " " << FragTrap::_name << " wait for a high fives, common guys\n";
}
